Bug 134331 - [patch] devel/fpc-fcl-db: fix package building
Summary: [patch] devel/fpc-fcl-db: fix package building
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-07 10:40 UTC by Boris Samorodov
Modified: 2009-05-07 23:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2009-05-07 10:40:00 UTC
	The package is not built due to missing dependency:
	-----
	[...]
	/usr/local/bin/fpcmake -p -Ti386-freebsd Makefile.fpc
	Processing Makefile.fpc
	Error: Target "freebsd", package "fcl-xml" not found
	gmake: *** [fpc_install] Error 1
	*** Error code 2
	
	Stop in /a/ports/devel/fpc-fcl-db.
	-----

Fix: Apply the patch which adds a missing dependency.
	No PORTREVISION bump.



WBR
-- 
bsam--456ECJmof6Flqo1O1TRIc16mGBUvMwTGNnILsAs7oPfcMFQx
Content-Type: text/plain; name="fpc-fcl-db.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="fpc-fcl-db.diff"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/fpc-fcl-db/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- Makefile	14 Jan 2009 06:12:05 -0000	1.14
+++ Makefile	7 May 2009 09:23:17 -0000
@@ -12,7 +12,7 @@
 MAINTAINER=	acm@FreeBSD.org
 COMMENT=	Free Pascal Component Library
 
-USE_FPC=	fcl-async fcl-base hash ibase mysql odbc oracle paszlib postgres \
+USE_FPC=	fcl-async fcl-base fcl-xml hash ibase mysql odbc oracle paszlib postgres \
 		pthreads pxlib sqlite
 
 MASTERDIR=	${.CURDIR}/../../lang/fpc
Comment 1 Edwin Groothuis freebsd_committer 2009-05-07 10:40:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jose Alonso Cardenas Marquez freebsd_committer 2009-05-07 22:56:33 UTC
State Changed
From-To: open->closed

Committed thanks!! :)
Comment 3 dfilter service freebsd_committer 2009-05-07 22:56:34 UTC
acm         2009-05-07 21:56:10 UTC

  FreeBSD ports repository

  Modified files:
    devel/fpc-fcl-db     Makefile 
  Log:
  - Add missing dependency
  
  PR:             134331
  Submitted by:   Boris Samorodov <bsam at _freebsd.org>
  
  Revision  Changes    Path
  1.15      +1 -1      ports/devel/fpc-fcl-db/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"